%define		_status		beta
%define		_pearname	MDB2_Driver_mysql
%define		subver	b4
%define		rel		1
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - mysql MDB2 driver
Summary(pl.UTF-8):	%{_pearname} - sterownik mysql dla MDB2
Name:		php-pear-%{_pearname}
Version:	1.5.0
Release:	0.%{subver}.%{rel}
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	8b2d9602fe001ca277b9f7149fc839fa
URL:		http://pear.php.net/package/MDB2_Driver_mysql/
BuildRequires:	php-pear-PEAR >= 1:1.9.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.3.0
Requires:	php(mysql)
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:2.5.0-0.b4
Obsoletes:	php-pear-MDB2_Driver_mysql-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the MySQL MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Sterownik MySQL dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/Datatype/mysql.php
%{php_pear_dir}/MDB2/Driver/Manager/mysql.php
%{php_pear_dir}/MDB2/Driver/Native/mysql.php
%{php_pear_dir}/MDB2/Driver/Reverse/mysql.php
%{php_pear_dir}/MDB2/Driver/mysql.php
%{php_pear_dir}/MDB2/Driver/Function/mysql.php
%{php_pear_dir}/data/MDB2_Driver_mysql
%changelog
* Wed Dec 19 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-MDB2_Driver_mysql.git;a=log;h=master

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 4d682e2
- updated to: 1.5.0-b4

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 4e78e50
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> bb258c1
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> d1e1559
- tests are no longer installed - don't try to remove them

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> dce9034
- up to 1.5.0b3

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 4b4332f
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 99ce60a
- up to 1.5.0b2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 1b51a76
- rel 2

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> a9b1368
- dropped %{epoch} from R: in tests subpackage

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 141c546
- updated to 1.4.1; tests subpackage

* Thu Mar 01 2007 Elan Ruusamäe <glen@pld-linux.org> d089310
- 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 96452e9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 033653a
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 0aecdc9
- rel 2: use php(extension) virtuals

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> 305af9a
- updated to 1.2.2

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> 2aee1b5
- updated to 1.2.1

* Sun Aug 06 2006 Adam Gołębiowski <adamg@pld-linux.org> fbe31d4
- updated to 1.2.0

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> 06b001e
- updated to 1.1.0

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> b9e625e
- 1.0.3

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> 0e3bd82
- updated deps

